%define realname	netcat

Name:		gnetcat
Version:	0.7.1
Release:	2%{?dist}
Summary:	Reads and writes data across network connections using TCP or UDP
Source0:	http://prdownloads.sourceforge.net/netcat/netcat-%{version}.tar.bz2
URL:		http://netcat.sourceforge.net/
Packager:	Simon Matter <simon.matter@invoca.ch>
Vendor:		Invoca Systems
Distribution:	Invoca Linux Server
License:	GPL
Group:		Applications/Internet
Prereq:		/sbin/install-info
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The gnetcat package contains GNU Netcat (the program is actually netcat), a
simple utility for reading and writing data across network connections,
using the TCP or UDP protocols. Netcat is intended to be a reliable
back-end tool which can be used directly or easily driven by other programs
and scripts.  Netcat is also a feature-rich network debugging and
exploration tool, since it can create many different connections and
has many built-in capabilities.

You may want to install the netcat package if you are administering a
network and you'd like to use its debugging and network exploration
capabilities.

%prep
%setup -q -n %{realname}-%{version}

%build
./configure
%{__make}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{makeinstall}
%{__rm} -f %{buildroot}%{_bindir}/nc
%{__rm} -f %{buildroot}%{_infodir}/dir
%{__rm} -f doc/drafts/Makefile*

%find_lang %{realname}

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/netcat.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info %{_infodir}/netcat.info.gz --delete %{_infodir}/dir
fi

%files -f %{realname}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO doc/migration doc/drafts
%{_bindir}/%{realname}
%{_mandir}/man1/%{realname}.1*
%{_infodir}/*

%changelog
* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 0.7.1-2
- mass rebuild

* Thu Mar 10 2005 Simon Matter <simon.matter@invoca.ch>
- initial build
